Fetch a list of wallets
curl --request GET \
--url https://sandbox.api.btdx.io/wallets \
--header 'authorization: <authorization>'import requests
url = "https://sandbox.api.btdx.io/wallets"
headers = {"authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {authorization: '<authorization>'}};
fetch('https://sandbox.api.btdx.io/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"wallets": [
{
"id": "<string>",
"appId": "<string>",
"reference": "<string>",
"description": "<string>",
"balances": [
{
"currencyId": "<string>",
"balance": 123,
"balanceAvailable": 123,
"overdraft": 123,
"unmatchedExposure": 123
}
]
}
]
}{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"wallets": [
{
"id": "<string>",
"appId": "<string>",
"reference": "<string>",
"description": "<string>",
"balances": [
{
"currencyId": "<string>",
"balance": 123,
"balanceAvailable": 123,
"overdraft": 123,
"unmatchedExposure": 123
}
]
}
]
}Wallets
Fetch a list of wallets
Fetch a page of wallets for the current application
GET
/
wallets
Fetch a list of wallets
Headers
Header with the accessToken for the current session
Query Parameters
optional wallet ids to filter by - defaults to all wallets for calling application
wallet types to filter by, e.g., User - defaults to all types
Available options:
Commission, MarketEscrow, System, User Zero-based page index (0..N)
The size of the page to be returned
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
⌘I